| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GlsEyePoint Class Reference
Inheritance diagram for GlsEyePoint:

## Public Types
enum | FovConstraintType { FOV_CONSTRAINT_NONE , FOV_CONSTRAINT_GREATER , FOV_CONSTRAINT_LESS , FOV_CONSTRAINT_EXACTLY }
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }

## Public Member Functions
| GlsEyePoint ()
| GlsEyePoint (GlsEyePoint &src)
void | FOV (double fovDeg)
void | OtherFOV (double fovDeg)
void | FovIsHorizontal (bool val)
void | Orthographic (bool val)
void | OrthoSize (double val)
void | OtherOrthoSize (double val)
void | NearClip (double val)
void | FarClip (double val)
void | HorizontalConstraint (FovConstraintType val)
void | VerticalConstraint (FovConstraintType val)
void | SetViewVectors (Vector &x, Vector &y, Vector &z)
double | FOV (void)
double | OtherFOV (void)
bool | FovIsHorizontal (void)
bool | Orthographic (void)
double | OrthoSize (void)
double | OtherOrthoSize (void)
double | NearClip (void)
double | FarClip (void)
FovConstraintType | HorizontalConstraint (void)
FovConstraintType | VerticalConstraint (void)
void | GetViewVectors (Vector &x, Vector &y, Vector &z)
void | Orientation (Vector &direction, float roll, Vector &upVector=Vector(0, 1, 0))
Vector | Direction (void)
float | Roll (Vector upVector=Vector(0, 1, 0))
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsEyePoint * | CastToGlsEyePoint (DisplayObject *obj)

## Additional Inherited Members
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Class that encapsulates a GlsEyePoint.

## Member Enumeration Documentation

## ◆ FovConstraintType

enum GlsEyePoint::FovConstraintType

Field-of-View Constraint Type enumeration.

Enumerator
FOV_CONSTRAINT_NONE |
FOV_CONSTRAINT_GREATER |
FOV_CONSTRAINT_LESS |
FOV_CONSTRAINT_EXACTLY |

## Constructor & Destructor Documentation

## ◆ GlsEyePoint() [1/2]

GlsEyePoint::GlsEyePoint | ( |  | ) |

Constructor.

Creates a new GlsEyePoint.

## ◆ GlsEyePoint() [2/2]

GlsEyePoint::GlsEyePoint | ( | GlsEyePoint & | src | ) |

Copy constructor.

Creates a new reference to an existing GlsEyePoint.

Parameters

  src | The GlsEyePoint to reference

## Member Function Documentation

## ◆ CastToGlsEyePoint()

static GlsEyePoint * GlsEyePoint::CastToGlsEyePoint | ( | DisplayObject * | obj | ) |
| static

Casts a display object to an eyepoint.

Parameters

  obj | The display object to cast.

## ◆ Direction()

Vector GlsEyePoint::Direction | ( | void |  | ) |

Gets the current direction vector of the eyepoint.

Returns
  The current view direction vector

## ◆ FarClip() [1/2]

void GlsEyePoint::FarClip | ( | double | val | ) |

Sets the distance to the far clipping plane from the eyepoint.

Parameters

  val | Distance to the far clipping plane from the eyepoint in logical units

## ◆ FarClip() [2/2]

double GlsEyePoint::FarClip | ( | void |  | ) |

Gets the distance to the far clipping plane from the eyepoint.

Returns
  Distance to the far clipping plane from the eyepoint in logical units

## ◆ FOV() [1/2]

void GlsEyePoint::FOV | ( | double | fovDeg | ) |

Sets the Field Of View for this eyepoint.

If FovIsHorizontal is True, this is the horizontal fov.

Parameters

  fovDeg | The new field of view, in degrees

## ◆ FOV() [2/2]

double GlsEyePoint::FOV | ( | void |  | ) |

Gets the Field Of View for this eyepoint.

If FovIsHorizontal is true, this is the horizontal fov.

Returns
  The field of view, in degrees

## ◆ FovIsHorizontal() [1/2]

void GlsEyePoint::FovIsHorizontal | ( | bool | val | ) |

Sets whether or not the field of view measurement is along horizontal or vertical axis.

Parameters

  val | True if FOV measurement is along horizonal axis of eyepoint

## ◆ FovIsHorizontal() [2/2]

bool GlsEyePoint::FovIsHorizontal | ( | void |  | ) |

Gets whether or not the field of view measurement is along horizontal or vertical axis.

Returns
  True if FOV measurement is along horizonal axis of eyepoint

## ◆ GetViewVectors()

void GlsEyePoint::GetViewVectors | ( | Vector & | x,
|  | Vector & | y,
|  | Vector & | z
| ) |  |

Returns the current view vectors.

Parameters

  [out] | x | The current x-direction vector
  [out] | y | The current y-direction vector
  [out] | z | The current z-direction vector

## ◆ HorizontalConstraint() [1/2]

void GlsEyePoint::HorizontalConstraint | ( | FovConstraintType | val | ) |

Sets the constraint for the horizontal direction.

Parameters

  val | The type of constraint to use for the horizontal field of view

## ◆ HorizontalConstraint() [2/2]

FovConstraintType GlsEyePoint::HorizontalConstraint | ( | void |  | ) |

Gets the constraint for the horizontal direction.

Returns
  The type of constraint used for the horizontal field of view

## ◆ NearClip() [1/2]

void GlsEyePoint::NearClip | ( | double | val | ) |

Sets the distance to the near clipping plane from the eyepoint.

Parameters

  val | Distance to the near clipping plane from the eyepoint in logical units

## ◆ NearClip() [2/2]

double GlsEyePoint::NearClip | ( | void |  | ) |

Gets the distance to the near clipping plane from the eyepoint.

Returns
  Distance to the near clipping plane from the eyepoint in logical units

## ◆ Orientation()

void GlsEyePoint::Orientation | ( | Vector & | direction,
|  | float | roll,
|  | Vector & | upVector = `Vector(0, 1, 0)`
| ) |  |

Sets the orientation of the eyepoint.

Parameters

  direction | The view direction vector
  roll | The roll value about the direction vector, in degrees
  upVector | The "up" direction for the purposes of calculating roll

## ◆ Orthographic() [1/2]

void GlsEyePoint::Orthographic | ( | bool | val | ) |

Sets whether the eyepoint uses an orthographic projection or a perspective projection.

Parameters

  val | True if the eypoint uses an orthographic projection. False if it uses a perspective projection.

## ◆ Orthographic() [2/2]

bool GlsEyePoint::Orthographic | ( | void |  | ) |

Gets whether the eyepoint uses an orthographic projection or a perspective projection.

Returns
  True if the eypoint uses an orthographic projection. False if it uses a perspective projection.

## ◆ OrthoSize() [1/2]

void GlsEyePoint::OrthoSize | ( | double | val | ) |

Sets the size of the orthographic projection, in logical units.

The direction this controls is set by FovIsHorizontal. If true, it is horizontal.

Parameters

  val | The size of the orthographic projection, in logical units

## ◆ OrthoSize() [2/2]

double GlsEyePoint::OrthoSize | ( | void |  | ) |

Gets the size of the orthographic projection, in logical units.

The direction this returns is set by FovIsHorizontal. If true, it is horizontal.

Returns
  The size of the orthographic projection, in logical units

## ◆ OtherFOV() [1/2]

void GlsEyePoint::OtherFOV | ( | double | fovDeg | ) |

Sets the Field Of View for this eyepoint.

If FovIsHorizontal is True, this is the vertical fov.

Parameters

  fovDeg | The new field of view, in degrees

## ◆ OtherFOV() [2/2]

double GlsEyePoint::OtherFOV | ( | void |  | ) |

Gets the Field Of View for this eyepoint.

If FovIsHorizontal is true, this is the vertical fov.

Returns
  The field of view, in degrees

## ◆ OtherOrthoSize() [1/2]

void GlsEyePoint::OtherOrthoSize | ( | double | val | ) |

Sets the size of the orthographic projection, in logical units.

The direction this controls is set by FovIsHorizontal. If true, it is vertical.

Parameters

  val | The size of the orthographic projection, in logical units

## ◆ OtherOrthoSize() [2/2]

double GlsEyePoint::OtherOrthoSize | ( | void |  | ) |

Gets the size of the orthographic projection, in logical units.

The direction this returns is set by FovIsHorizontal. If true, it is vertical.

Returns
  The size of the orthographic projection, in logical units

## ◆ Roll()

float GlsEyePoint::Roll | ( | Vector | upVector = `Vector(0, 1, 0)` | ) |

Gets the current roll angle of the eyepoint.

Parameters

  upVector | The "up" direction used for determining roll

Returns
  The current roll angle, in degrees

## ◆ SetViewVectors()

void GlsEyePoint::SetViewVectors | ( | Vector & | x,
|  | Vector & | y,
|  | Vector & | z
| ) |  |

Directly sets the view vectors.

These are normally controlled by the Orientation call.

Parameters

  x | The x-direction view vector
  y | The y-direction view vector
  z | The z-direction view vector

## ◆ VerticalConstraint() [1/2]

void GlsEyePoint::VerticalConstraint | ( | FovConstraintType | val | ) |

Sets the constraint for the vertical direction.

Parameters

  val | The type of constraint to use for the vertical field of view

## ◆ VerticalConstraint() [2/2]

FovConstraintType GlsEyePoint::VerticalConstraint | ( | void |  | ) |

Gets the constraint for the vertical direction.

Returns
  The type of constraint used for the vertical field of view

The documentation for this class was generated from the following file:

- GlsEyePoint.i